%global pkgvers 0
%global scdate0 20240614
%global schash0 481f1beae28cc61ceb98aa36a81479080ab23e8a
%global branch0 master
%global source0 https://gerrit.osmocom.org/libosmo-netif.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           libosmo-netif
Version:        1.4.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Osmocom network interface library
License:        GPLv2

URL:            https://osmocom.org/projects/libosmo-netif/wiki

BuildRequires:  git gcc autoconf automake libtool doxygen
BuildRequires:  libosmocore-devel libosmo-abis-devel
BuildRequires:  lksctp-tools-devel libpcap-devel

%undefine _hardened_build
%undefine _annotated_build

%description
C-language library that form the basis of various higher-layer
cellular communications protocol implementation. It implements
stream server and clients for TCP, UDP, IPA as well as the
non-standard/proprietary OSMUX protocol.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
Development files for %{name}.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%global optflags %(echo %optflags | sed 's|-Wp,-D_GLIBCXX_ASSERTIONS||g')
autoreconf -fi
%configure --enable-shared \
           --disable-static

# Fix unused direct shlib dependency
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags} VERBOSE=0


%install
make install DESTDIR=%{buildroot}
# Remove libtool archives
find %{buildroot} -name '*.la' -exec rm -f {} \;
sed -i -e 's|UNKNOWN|%{version}|g' %{buildroot}/%{_libdir}/pkgconfig/*.pc


%check
make check


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc README.md
%doc %{_docdir}/%{name}
%license COPYING
%{_libdir}/*.so.*

%files devel
%{_includedir}/osmocom/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Aug 26 2018 Cristian Balint <cristian.balint@gmail.com>
- github update releases
